Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 609539 - Add info for configuring Tomcat/EWS
Add info for configuring Tomcat/EWS
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
unspecified
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Deon Ballard
Corey Welton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 10:33 EDT by Deon Ballard
Modified: 2010-08-12 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:59:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deon Ballard 2010-06-30 10:33:33 EDT
(9:05:08 AM) sudhir: cswiii:  ccrouch: tomcat bug https://bugzilla.redhat.com/show_bug.cgi?id=609466
(9:06:29 AM) cswiii: sudhir: did you have authentication turned off on this tomcat instance?
(9:07:54 AM) sudhir: cswiii:  i have just left it default... haven't changed anything after install
(9:11:53 AM) cswiii: sudhir: there's all sorts of funkiness you need to do with tomcat config in order for it to go green.  easiest thing is to assure you have
(9:11:56 AM) cswiii:  JAVA_OPTS="${JAVA_OPTS} -Dcom.sun.management.jmxremote.authenticate=false"
(9:11:57 AM) cswiii: set 
(9:13:35 AM) ccrouch: cswiii: do we have this "funkiness" in the docs?
(9:13:59 AM) cswiii: ccrouch: well, the packaged EWS references the need to open this stuff
(9:16:18 AM) cswiii: # JON/Jopr Management
(9:16:18 AM) cswiii: #
(9:16:18 AM) cswiii: # To enable EWS for JON/Jopr management it is necessary to enable remote JMX access to the EWS server:
(9:16:21 AM) cswiii: # 1) Choose an unused and accessible portNum
(9:16:23 AM) cswiii: # 2) Follow the steps for secure access as described here: http://java.sun.com/j2se/1.5.0/docs/guide/management/agent.html.
(9:16:26 AM) cswiii: # 3) Update and uncomment the following lines:
(9:16:28 AM) cswiii: that's what's listed in the startup.sh for EWS
(9:19:44 AM) sudhir: cswiii:  I have not set JAVA_OPTS, doing that now
(9:20:39 AM) cswiii: sudhir: if you want, login to core-01.usersys.redhat.com and view /opt/jboss-ews-1.0/tomcat6/bin/startup.sh for more info.
(9:20:55 AM) sudhir: cswiii:  sure thx
(9:21:15 AM) cswiii: you can probably igonore the passwordfile stuff etc since I have authentication disabled
(9:21:44 AM) ccrouch: deon: can you raise a BZ to improve the plugin docs for configuring Tomcat, if we can't make it go green the first time, our customers don't stand a chance
(9:21:56 AM) deon: ccrouch, okay

<cswiii> ccrouch: the configuration for jon is pretty much analogous to opening up tomcat's JMX.  It might suffice to have that as a bulletpoint.  "Note:  Users must enable remote JMX access for tomcat to go green.  Please refer to your vendor's docs"

See also bug 582361.
Comment 1 Deon Ballard 2010-07-21 18:47:50 EDT
I added a small section to the monitoring chapter of the admin guide here:
http://elladeon.fedorapeople.org/jon-drafts/3.0/admin/monitoring-and-events.html#configuring-tomcat-for-discovery
Comment 2 Corey Welton 2010-07-22 00:00:26 EDT
QA verified.  Hope this helps people...
Comment 3 Corey Welton 2010-08-12 12:59:29 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.